[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: tpctl and kernel 2.4.7

On Fri, Aug 24, 2001 at 12:37:00AM +0200, Chris Halls wrote:
> Adrian has sorted that out by including source for the 2.2 kernel
> (tpctl version <=1) and the 2.4 kernel (tpctl from version 2) in the
> Debian module source package.  If you look in the modules source, you'll
> see there is a 2.2 and 2.4 subdirectory.  The build process will
> automatically build the right one for you, so you don't need to worry -
> you'll get the module for the 2.4 kernel if that's what you're building
> for.

I was successful building and installing the tpctl modules by getting
the two debs from unstable to my testing machine.

I guess the problem was that the testing debs are version 0.8 which
should only support 2.2 kernels, as you mention, and I'm running 2.4.7

I have another problem now, though. The modules load fine, but I can't
do anything with the tpctl utility. Calling something like 'tpctl -ix'
gives a 'Function not supported' message (Sorry, I don;t have the
exact output here at work and my connectivity from home last night was
a bit iffy.)


Reply to: